summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-05-24 13:37:09 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-05-24 13:37:09 +0000
commit492d49193cda7f99e779ddd260368e4e13cd1214 (patch)
tree02f6d9b8b93ae45ac44facace8417ff862becc45 /dev-python
parentbb6c094ed1be3ffd9c0d4dda1e09124851b4e45c (diff)
downloadbaldeagleos-repo-492d49193cda7f99e779ddd260368e4e13cd1214.tar.gz
baldeagleos-repo-492d49193cda7f99e779ddd260368e4e13cd1214.tar.xz
baldeagleos-repo-492d49193cda7f99e779ddd260368e4e13cd1214.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyQt5/Manifest1
-rw-r--r--dev-python/PyQt5/PyQt5-5.15.1.ebuild190
-rw-r--r--dev-python/PyQtWebEngine/Manifest1
-rw-r--r--dev-python/PyQtWebEngine/PyQtWebEngine-5.15.1.ebuild75
-rw-r--r--dev-python/aesara/Manifest1
-rw-r--r--dev-python/aesara/aesara-2.0.9.ebuild65
-rw-r--r--dev-python/cmd2/cmd2-1.5.0.ebuild2
-rw-r--r--dev-python/csv23/csv23-0.3.2-r1.ebuild4
-rw-r--r--dev-python/ddt/ddt-1.4.2.ebuild2
-rw-r--r--dev-python/dulwich/Manifest1
-rw-r--r--dev-python/dulwich/dulwich-0.20.22.ebuild54
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.13.4.ebuild62
-rw-r--r--dev-python/indexed_gzip/Manifest1
-rw-r--r--dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild47
-rw-r--r--dev-python/indexed_gzip/metadata.xml4
-rw-r--r--dev-python/libvirt-python/libvirt-python-7.3.0.ebuild2
-rw-r--r--dev-python/moto/moto-2.0.5.ebuild2
-rw-r--r--dev-python/pip/Manifest1
-rw-r--r--dev-python/pip/pip-21.1.1.ebuild2
-rw-r--r--dev-python/pip/pip-21.1.2.ebuild119
-rw-r--r--dev-python/prettytable/prettytable-2.1.0.ebuild2
-rw-r--r--dev-python/psutil/psutil-5.7.3.ebuild2
-rw-r--r--dev-python/pyperclip/pyperclip-1.8.2.ebuild2
-rw-r--r--dev-python/pypy-exe/Manifest4
-rw-r--r--dev-python/pypy-exe/pypy-exe-7.3.3_p2.ebuild178
-rw-r--r--dev-python/pypy-exe/pypy-exe-7.3.5_rc2.ebuild178
-rw-r--r--dev-python/pytest-timeout/pytest-timeout-1.4.2-r1.ebuild2
-rw-r--r--dev-python/pytest-xprocess/pytest-xprocess-0.17.1.ebuild2
-rw-r--r--dev-python/radon/Manifest1
-rw-r--r--dev-python/radon/radon-4.5.2.ebuild26
-rw-r--r--dev-python/scripttest/scripttest-1.3.0-r1.ebuild2
-rw-r--r--dev-python/stestr/stestr-3.2.0.ebuild2
-rw-r--r--dev-python/stevedore/stevedore-3.3.0.ebuild2
-rw-r--r--dev-python/werkzeug/werkzeug-2.0.1-r1.ebuild2
35 files changed, 399 insertions, 643 deletions
diff --git a/dev-python/PyQt5/Manifest b/dev-python/PyQt5/Manifest
index fe53d1c65bc1..afeb1a3ccb18 100644
--- a/dev-python/PyQt5/Manifest
+++ b/dev-python/PyQt5/Manifest
@@ -1,2 +1 @@
-DIST PyQt5-5.15.1.tar.gz 3264559 BLAKE2B 20060297c52aa5d07ba28b50440bd3623b8648eef8502693f8175af9ba4edf9238b9be71c696ea2589556ad70e70e868dc9c286466af22867ab51d5c66e613db SHA512 a7378dd53337c58f5ba7e9f7510b57fe4affe578b68975ce1dd7ba5c2a1c77d08d51d11078ce782aab09509df934eb3e4d0588de87391f74ad99f9624644cc4e
DIST PyQt5-5.15.2.tar.gz 3265445 BLAKE2B 7712d68aa54cf9e6836863d7aa645151254d79621e115ed314ba63c371d5e24577a0392311b31a73e45af45baa29eca1d7e9a03874beac1fbf043fa703af69f9 SHA512 6d48d2ed907b436131d46b0513d82e1069c76e873d395e4a6c0832ae3a20621b92d3abece046c5fcd14cb818d50ffb369153fca1ce9341f0db1b8c479b94e621
diff --git a/dev-python/PyQt5/PyQt5-5.15.1.ebuild b/dev-python/PyQt5/PyQt5-5.15.1.ebuild
deleted file mode 100644
index 4637b343c3c0..000000000000
--- a/dev-python/PyQt5/PyQt5-5.15.1.ebuild
+++ /dev/null
@@ -1,190 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit multibuild python-r1 qmake-utils
-
-DESCRIPTION="Python bindings for the Qt framework"
-HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/intro"
-
-MY_P=${PN}-${PV/_pre/.dev}
-if [[ ${PV} == *_pre* ]]; then
- SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
-else
- SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-fi
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 x86"
-
-# TODO: QtNfc, QtQuick3D, QtRemoteObjects, QtTextToSpeech
-IUSE="bluetooth dbus debug declarative designer examples gles2-only gui help location
- multimedia network networkauth opengl positioning printsupport sensors serialport
- sql +ssl svg testlib webchannel webkit websockets widgets x11extras xmlpatterns"
-
-# The requirements below were extracted from configure.py
-# and from the output of 'grep -r "%Import " "${S}"/sip'
-REQUIRED_USE="
- ${PYTHON_REQUIRED_USE}
- bluetooth? ( gui )
- declarative? ( gui network )
- designer? ( widgets )
- help? ( gui widgets )
- location? ( positioning )
- multimedia? ( gui network )
- networkauth? ( network )
- opengl? ( gui widgets )
- positioning? ( gui )
- printsupport? ( gui widgets )
- sensors? ( gui )
- serialport? ( gui )
- sql? ( widgets )
- svg? ( gui widgets )
- testlib? ( widgets )
- webchannel? ( network )
- webkit? ( gui network printsupport widgets )
- websockets? ( network )
- widgets? ( gui )
- xmlpatterns? ( network )
-"
-
-# Minimal supported version of Qt.
-QT_PV="5.14:5"
-
-RDEPEND="${PYTHON_DEPS}
- >=dev-python/PyQt5-sip-4.19.23:=[${PYTHON_USEDEP}]
- >=dev-qt/qtcore-${QT_PV}
- >=dev-qt/qtxml-${QT_PV}
- bluetooth? ( >=dev-qt/qtbluetooth-${QT_PV} )
- dbus? (
- dev-python/dbus-python[${PYTHON_USEDEP}]
- >=dev-qt/qtdbus-${QT_PV}
- )
- declarative? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
- designer? ( >=dev-qt/designer-${QT_PV} )
- gui? ( >=dev-qt/qtgui-${QT_PV}[gles2-only=] )
- help? ( >=dev-qt/qthelp-${QT_PV} )
- location? ( >=dev-qt/qtlocation-${QT_PV} )
- multimedia? ( >=dev-qt/qtmultimedia-${QT_PV}[widgets?] )
- network? ( >=dev-qt/qtnetwork-${QT_PV}[ssl=] )
- networkauth? ( >=dev-qt/qtnetworkauth-${QT_PV} )
- opengl? ( >=dev-qt/qtopengl-${QT_PV} )
- positioning? ( >=dev-qt/qtpositioning-${QT_PV} )
- printsupport? ( >=dev-qt/qtprintsupport-${QT_PV} )
- sensors? ( >=dev-qt/qtsensors-${QT_PV} )
- serialport? ( >=dev-qt/qtserialport-${QT_PV} )
- sql? ( >=dev-qt/qtsql-${QT_PV} )
- svg? ( >=dev-qt/qtsvg-${QT_PV} )
- testlib? ( >=dev-qt/qttest-${QT_PV} )
- webchannel? ( >=dev-qt/qtwebchannel-${QT_PV} )
- webkit? ( dev-qt/qtwebkit:5[printsupport] )
- websockets? ( >=dev-qt/qtwebsockets-${QT_PV} )
- widgets? ( >=dev-qt/qtwidgets-${QT_PV} )
- x11extras? ( >=dev-qt/qtx11extras-${QT_PV} )
- xmlpatterns? ( >=dev-qt/qtxmlpatterns-${QT_PV} )
-"
-DEPEND="${RDEPEND}
- >=dev-python/sip-4.19.23[${PYTHON_USEDEP}]
- dbus? ( virtual/pkgconfig )
-"
-
-S=${WORKDIR}/${MY_P}
-
-pyqt_use_enable() {
- use "$1" || return
-
- if [[ $# -eq 1 ]]; then
- echo --enable=Qt$(tr 'a-z' 'A-Z' <<< ${1:0:1})${1:1}
- else
- shift
- echo ${@/#/--enable=}
- fi
-}
-
-src_configure() {
- configuration() {
- local myconf=(
- "${PYTHON}"
- "${S}"/configure.py
- $(usex debug '--debug --qml-debug --trace' '')
- --verbose
- --confirm-license
- --qmake="$(qt5_get_bindir)"/qmake
- --bindir="${EPREFIX}/usr/bin"
- --qsci-api
- --enable=QtCore
- --enable=QtXml
- $(pyqt_use_enable bluetooth)
- $(pyqt_use_enable dbus QtDBus)
- $(usex dbus '' --no-python-dbus)
- $(pyqt_use_enable declarative QtQml QtQuick $(usex widgets QtQuickWidgets ''))
- $(usex declarative '' --no-qml-plugin)
- $(pyqt_use_enable designer)
- $(usex designer '' --no-designer-plugin)
- $(usex gles2-only '--disable-feature=PyQt_Desktop_OpenGL' '')
- $(pyqt_use_enable gui)
- $(pyqt_use_enable gui $(use gles2-only && echo _QOpenGLFunctions_ES2 || echo _QOpenGLFunctions_{2_0,2_1,4_1_Core}))
- $(pyqt_use_enable help)
- $(pyqt_use_enable location)
- $(pyqt_use_enable multimedia QtMultimedia $(usex widgets QtMultimediaWidgets ''))
- $(pyqt_use_enable network)
- $(pyqt_use_enable networkauth QtNetworkAuth)
- $(pyqt_use_enable opengl QtOpenGL)
- $(pyqt_use_enable positioning)
- $(pyqt_use_enable printsupport QtPrintSupport)
- $(pyqt_use_enable sensors)
- $(pyqt_use_enable serialport QtSerialPort)
- $(pyqt_use_enable sql)
- $(usex ssl '' '--disable-feature=PyQt_SSL')
- $(pyqt_use_enable svg)
- $(pyqt_use_enable testlib QtTest)
- $(pyqt_use_enable webchannel QtWebChannel)
- $(pyqt_use_enable webkit QtWebKit QtWebKitWidgets)
- $(pyqt_use_enable websockets QtWebSockets)
- $(pyqt_use_enable widgets)
- $(pyqt_use_enable x11extras QtX11Extras)
- $(pyqt_use_enable xmlpatterns QtXmlPatterns)
- )
- echo "${myconf[@]}"
- "${myconf[@]}" || die
-
- # Run eqmake to respect toolchain and build flags
- eqmake5 -recursive ${PN}.pro
- }
- python_foreach_impl run_in_build_dir configuration
-}
-
-src_compile() {
- python_foreach_impl run_in_build_dir default
-}
-
-src_install() {
- installation() {
- local tmp_root=${D}/${PN}_tmp_root
- # parallel install fails because mk_distinfo.py runs too early
- emake -j1 INSTALL_ROOT="${tmp_root}" install
-
- local bin_dir=${tmp_root}${EPREFIX}/usr/bin
- local exe
- for exe in pylupdate5 pyrcc5 pyuic5; do
- python_doexe "${bin_dir}/${exe}"
- rm "${bin_dir}/${exe}" || die
- done
-
- local uic_dir=${tmp_root}$(python_get_sitedir)/${PN}/uic
- rm -r "${uic_dir}"/port_v2 || die
-
- multibuild_merge_root "${tmp_root}" "${D}"
- python_optimize
- }
- python_foreach_impl run_in_build_dir installation
-
- einstalldocs
-
- if use examples; then
- dodoc -r examples
- fi
-}
diff --git a/dev-python/PyQtWebEngine/Manifest b/dev-python/PyQtWebEngine/Manifest
index 3e54fe3f290e..3f19129c434d 100644
--- a/dev-python/PyQtWebEngine/Manifest
+++ b/dev-python/PyQtWebEngine/Manifest
@@ -1,2 +1 @@
-DIST PyQtWebEngine-5.15.1.tar.gz 48520 BLAKE2B d4e4fcfb1066fcc274f4b3c8ccd7380435b9391586e3396fb5aa95ad7443c168ea9be3b85ec93e2dc28285aca18718afeb1487cb2c4ad5ed1a4f4d03010107ec SHA512 1efbea43bfd4a6de1c7aa2ab2ca124c4278b6b7ea0d6073c64a7ad83df676759d0747421cae5214017e3c61d8edddf9766f93660e13eee5d407a24fd11d8c21f
DIST PyQtWebEngine-5.15.2.tar.gz 48608 BLAKE2B a03f77b0cde0d1031e8f1c4c6b5d13a342c28cf814ebaaf4a2cdb4608ce40cdd8163783932abc76cda583c0fed7191653b537598a9ab65f6509ef88008538e31 SHA512 7e6d95833b1a9e5bb5275eff01e1923419da35d13862fc4cbb231cbf950ed45e628bc7e161b0b6b66c718ee439a1a8e66dd754cee9adcdf69ab1b8ffab58901e
diff --git a/dev-python/PyQtWebEngine/PyQtWebEngine-5.15.1.ebuild b/dev-python/PyQtWebEngine/PyQtWebEngine-5.15.1.ebuild
deleted file mode 100644
index cb3db16a631f..000000000000
--- a/dev-python/PyQtWebEngine/PyQtWebEngine-5.15.1.ebuild
+++ /dev/null
@@ -1,75 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit python-r1 qmake-utils
-
-DESCRIPTION="Python bindings for QtWebEngine"
-HOMEPAGE="https://www.riverbankcomputing.com/software/pyqtwebengine/intro"
-
-MY_P=${PN}-${PV/_pre/.dev}
-if [[ ${PV} == *_pre* ]]; then
- SRC_URI="https://dev.gentoo.org/~pesa/distfiles/${MY_P}.tar.gz"
-else
- SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
-fi
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="amd64 ~arm arm64 x86"
-IUSE="debug"
-
-REQUIRED_USE="
- ${PYTHON_REQUIRED_USE}
-"
-
-RDEPEND="
- ${PYTHON_DEPS}
- >=dev-python/PyQt5-5.14[gui,network,printsupport,ssl,webchannel,widgets,${PYTHON_USEDEP}]
- >=dev-python/PyQt5-sip-4.19.22:=[${PYTHON_USEDEP}]
- dev-qt/qtcore:5
- dev-qt/qtwebengine:5[widgets]
-"
-DEPEND="${RDEPEND}
- >=dev-python/sip-4.19.22[${PYTHON_USEDEP}]
-"
-
-S=${WORKDIR}/${MY_P}
-
-src_configure() {
- configuration() {
- local myconf=(
- "${PYTHON}"
- "${S}"/configure.py
- --qmake="$(qt5_get_bindir)"/qmake
- $(usex debug '--debug --trace' '')
- --verbose
- )
- echo "${myconf[@]}"
- "${myconf[@]}" || die
-
- # Fix parallel install failure
- sed -i -e '/INSTALLS += distinfo/i distinfo.depends = install_subtargets install_pep484_stubs install_api' \
- ${PN}.pro || die
-
- # Run eqmake to respect toolchain and build flags
- eqmake5 -recursive ${PN}.pro
- }
- python_foreach_impl run_in_build_dir configuration
-}
-
-src_compile() {
- python_foreach_impl run_in_build_dir default
-}
-
-src_install() {
- installation() {
- emake INSTALL_ROOT="${D}" install
- python_optimize
- }
- python_foreach_impl run_in_build_dir installation
-
- einstalldocs
-}
diff --git a/dev-python/aesara/Manifest b/dev-python/aesara/Manifest
index 78c16c79eeb9..d17d0b8e01f8 100644
--- a/dev-python/aesara/Manifest
+++ b/dev-python/aesara/Manifest
@@ -1,3 +1,4 @@
DIST aesara-rel-2.0.6.tar.gz 8020607 BLAKE2B 0a51936fe089061038e9dd60e210d7a0820438a03508fb1aa7f843c9c3dbba86295a7e0471f97084e7ba87e2a771bb640a6f87ce974b219767d2344e2a94b190 SHA512 1370cb4408b694d5b97610229951cfa9e74f42c10347eff375d5aba0aaa60a7c88f5db2a7c101ec6916a40d6cf12b5646e7422dd5e9617f414619d79c55f02fb
DIST aesara-rel-2.0.7.tar.gz 8020485 BLAKE2B 91c02c5d6826694b08bf3276f9c08e98f5a68a34b7d4a4f4813b44794f625cb0b67677fc8eff8496f19f84b462b30d740645b19b3031640a550b8b07288980ef SHA512 63f636d7293127b21196072fd05edf25f2d03702d5568308ddb35c2d425100aa4087eb282f30a123124e43bedbc82d84209293c2d2de6f598c7b3b6704fc38aa
DIST aesara-rel-2.0.8.tar.gz 8043104 BLAKE2B ceb4f34b2017516d8d75855eb17fbce8a28ef35d2dfa22c2221f95e910b69126f6d2070654377bebaa8c149bcb13ed1e37c0fd145cad96ddf6875642a6882b2f SHA512 1bcc149e3c55eeaa4522afd48df63602b32b1702402cd269b30c85ec6abf0d4b446a3593b8247c393c2ad9f74176ebe94e7c86a94ee58b91fbdbef69dbc9acd6
+DIST aesara-rel-2.0.9.tar.gz 8045090 BLAKE2B 02f8480cd3c1f843d5878a968514ba9adbf5eefa4f36e4ae201d79e8483dc9d04dd890fa30443aebd3a1520e16eab6eca2478b88bbd6acbbef14b61958a2c8b9 SHA512 bbb300bbbc74fed4e95613efe8eb5b29b932fc201900d340be7ef425c11b56f4e627d9e8c45e290c42a122db45af6639c40ce5bf2bc01895d56c43416a8c3415
diff --git a/dev-python/aesara/aesara-2.0.9.ebuild b/dev-python/aesara/aesara-2.0.9.ebuild
new file mode 100644
index 000000000000..1f1f83c71a1e
--- /dev/null
+++ b/dev-python/aesara/aesara-2.0.9.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1 optfeature
+
+MY_P=aesara-rel-${PV}
+DESCRIPTION="Library for operating on mathematical expressions with multi-dimensional arrays"
+HOMEPAGE="https://github.com/pymc-devs/aesara"
+SRC_URI="https://github.com/pymc-devs/aesara/archive/rel-${PV}.tar.gz -> ${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/filelock[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx doc 'dev-python/sphinx_rtd_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i -e "s/tests.\*/tests\*/" setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local exclude=(
+ # speed tests are unreliable
+ tests/scan/test_basic.py::test_speed
+ tests/scan/test_basic.py::test_speed_rnn
+ tests/scan/test_basic.py::test_speed_batchrnn
+ tests/link/test_vm.py::test_speed
+ tests/link/test_vm.py::test_speed_lazy
+ tests/tensor/test_gc.py::test_merge_opt_runtime
+ )
+
+ distutils_install_for_testing
+ # we do not package numba
+ epytest ${exclude[@]/#/--deselect } \
+ --ignore tests/link/test_numba.py \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+# https://dev.gentoo.org/~mgorny/python-guide/concept.html#packaging-pkgutil-style-namespaces-in-gentoo
+python_install() {
+ rm "${BUILD_DIR}"/lib/bin/__init__.py || die
+ distutils-r1_python_install
+}
+
+pkg_postinst() {
+ optfeature "GPU code generation/execution on NVIDIA gpus" dev-util/nvidia-cuda-toolkit dev-util/nvidia-cuda-sdk
+ optfeature "GPU/CPU code generation on CUDA and OpenCL devices" dev-libs/libgpuarray dev-python/pycuda
+}
diff --git a/dev-python/cmd2/cmd2-1.5.0.ebuild b/dev-python/cmd2/cmd2-1.5.0.ebuild
index 70879d1c1c11..991d18aeb799 100644
--- a/dev-python/cmd2/cmd2-1.5.0.ebuild
+++ b/dev-python/cmd2/cmd2-1.5.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~ppc64 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc64 sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-python/attrs[${PYTHON_USEDEP}]
diff --git a/dev-python/csv23/csv23-0.3.2-r1.ebuild b/dev-python/csv23/csv23-0.3.2-r1.ebuild
index a16a8a53d531..4f48a67bd427 100644
--- a/dev-python/csv23/csv23-0.3.2-r1.ebuild
+++ b/dev-python/csv23/csv23-0.3.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2020 Gentoo Authors
+# Copyright 2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/xflr6/csv23/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv sparc x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~x64-macos"
BDEPEND="
test? (
diff --git a/dev-python/ddt/ddt-1.4.2.ebuild b/dev-python/ddt/ddt-1.4.2.ebuild
index 272ca3643d61..7e5fb3218a02 100644
--- a/dev-python/ddt/ddt-1.4.2.ebuild
+++ b/dev-python/ddt/ddt-1.4.2.ebuild
@@ -17,7 +17,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~hppa ~ia64 ~ppc64 ~sparc x86"
+KEYWORDS="amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc64 ~sparc x86"
BDEPEND="
test? (
diff --git a/dev-python/dulwich/Manifest b/dev-python/dulwich/Manifest
index 381177121b79..6cbb2f0775bc 100644
--- a/dev-python/dulwich/Manifest
+++ b/dev-python/dulwich/Manifest
@@ -1,2 +1,3 @@
DIST dulwich-0.20.20.tar.gz 397197 BLAKE2B 941cb09c0537ec9ab96fc65cac12f94cc74b549eb2a8a516def96f66a8d31ad602ae4253910a24efe7254411dd4723832481b0df3189a9cb8708e3bbd512eb6f SHA512 ca83bfe3566981830bdc91d2e4ed039625fa6780dcabf74e0e91c9d89001e06dd04c8a10e8dfaf5c5ad67081d77fc9e996e2e3e1a0589954faae09162c545b02
DIST dulwich-0.20.21.tar.gz 399232 BLAKE2B d2768a4cc83ab2dad3b569c7c97c93ffea0293eb10ce269a7edfc7d5a6dc15d31d7637332d6968d40e67dcd2d76d6f9366f6d2e30527a666bc76fab32c5bab91 SHA512 1dc3042ef7ed0320b8e998d78c98e5d181981f665a708547b715ed5a16869f5c0c76b6228bf1e58cb957923ea9643ae2ae7cfca970056bc5230db18c5a110985
+DIST dulwich-0.20.22.tar.gz 414104 BLAKE2B 6fcb2ef8b7498f0fbf934440ab269a4c63e1722ec9ed4b2ade549e88377c33dbc6fcdff433acb7187bfaf3eebfb7698f7e9688088440f70be448dd7e112cbffd SHA512 ccb7330f9ba0bda5ceac31a62cb4a251cd95e70205535f033678553d17cfb720139135364b60747d24d682a1decd447d69c5180150af25fa05d68a7bdd21e7c5
diff --git a/dev-python/dulwich/dulwich-0.20.22.ebuild b/dev-python/dulwich/dulwich-0.20.22.ebuild
new file mode 100644
index 000000000000..759b6f3016d4
--- /dev/null
+++ b/dev-python/dulwich/dulwich-0.20.22.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Pure-Python implementation of the Git file formats and protocols"
+HOMEPAGE="
+ https://github.com/dulwich/dulwich/
+ https://pypi.org/project/dulwich/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+ Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ !hppa? ( !ia64? (
+ dev-python/gevent[${PYTHON_USEDEP}]
+ dev-python/geventhttpclient[${PYTHON_USEDEP}]
+ ) )
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/fastimport[${PYTHON_USEDEP}]
+ )"
+
+distutils_enable_sphinx docs
+
+python_test() {
+ # remove interference from the tests that do stuff like user.name
+ unset GIT_AUTHOR_NAME GIT_AUTHOR_EMAIL GIT_AUTHOR_DATE \
+ GIT_COMMITTER_NAME GIT_COMMITTER_EMAIL GIT_COMMITTER_DATE EMAIL
+ # Do not use make check which rebuilds the extension and uses -Werror,
+ # causing unexpected failures.
+ "${EPYTHON}" -m unittest -v dulwich.tests.test_suite \
+ || die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index f1f80172faa6..fa95ffa71cb4 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,3 +1,4 @@
DIST hypothesis-python-6.10.1.tar.gz 9126246 BLAKE2B cc8cb3436d1de5d3d65a13cb5edefdbaae8bf9daed296eea9111ac46c002c34f43119f10b2ab1f45c5cbca5fe46d00738676290eb0e8437f2c10b5926d9e0915 SHA512 586b7f380cb850089f7d5321f11da92ef4a9b80e2ea925103e29c1f6c6c9da0a2a899a1a45ce77e0a40073f147561bc4fcbd5cb2ce77a9c0c65f6f64dfe4b716
DIST hypothesis-python-6.13.0.tar.gz 9128293 BLAKE2B be618d42639602bc6617f8b5e9374812298e9d6150b6510a8060ca7c489ea69f1d6bd2cf9322c325c9bffc3c3f886fb4a4fb038159fa2c81920541ac4cb668cd SHA512 66fd6e7842b7b257c92cf756db4cf97bfb64006c89e3e58cda154ebe9345302f0264297df8d9de0685033a0f4e43909d65e76495689a8ded9968ecda586b668c
DIST hypothesis-python-6.13.2.tar.gz 9130008 BLAKE2B 3ca5c306ac402002a1435b8ccbc034f2a7acf1553eb6095e0394ff1ddf778f47ef6f72359cb5219db924edc18623b22732b4a94bd7c269217ec632b8d59adc1c SHA512 8c7e1a5de011ef66f5105009aa82f2b23ff36f0b0906554ae65e2e55e10c4df743c894b6264002c86bae3fc5e1dd7ded7e913f0866ed725e1afd4c9f54022b7c
+DIST hypothesis-python-6.13.4.tar.gz 9130435 BLAKE2B eeb78cc647df49ea11fb0e0f4d8412e20095e7c33bb0601dcbaad2b9e9929423729b25b1bfbf2a27b05e87ae38ced4e9aeba5bae4de76cfc81aae2d073248de0 SHA512 93db99bdbe408ddbad4baf983b00b3e7624fd28d15a0d4c1453437328a51b0733db13e3b7b04b40bc60aa05e2e8364ce5b186d81a2d33e50b49f5a406fec95d6
diff --git a/dev-python/hypothesis/hypothesis-6.13.4.ebuild b/dev-python/hypothesis/hypothesis-6.13.4.ebuild
new file mode 100644
index 000000000000..3858e9c1e208
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.13.4.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{7..9})
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!dev-python/pytest-describe
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+ if ! use cli || ! has "${EPYTHON}" python3_{7..9}; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ epytest tests/cover tests/pytest tests/quality \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/indexed_gzip/Manifest b/dev-python/indexed_gzip/Manifest
index 1d1b3858635d..f3c2c97d75e1 100644
--- a/dev-python/indexed_gzip/Manifest
+++ b/dev-python/indexed_gzip/Manifest
@@ -1 +1,2 @@
DIST indexed_gzip-0.8.10.tar.gz 79133 BLAKE2B ebb5bc69d92b627b0546c8570ea533a7d6541cffbda6ddbf38d2712e5d7b13f5684a4d962b457cb0beaf8f6d9d6c5bd810c31af18396d7ce2a7d3f9ce0a039d6 SHA512 cd57a0442e95a4760d710227a5d9f69841bef851427c536e5cfde7c9f962c9d403e0b38341ba2e07c5cde668e0f26ff7848d154f6243a2cee1cf6c327a7f4e1e
+DIST indexed_gzip-1.6.0.tar.gz 99260 BLAKE2B 15fff478a275baf59f152040455502f57762889959c4d2989e44b626dad25d381ff73029107c4495b477397ff5dc0763d1934f23bcc85a6296a0eec85a36b421 SHA512 0e01da5e8c527202c1f18148bad2a8ebec9ca0bc1bc49ce4804c6a32397797525cc7bfdfc254139c3c1b037d3f65171c010453ff3fae6e6256304ddf486bc58d
diff --git a/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild b/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild
new file mode 100644
index 000000000000..de5cc347acf2
--- /dev/null
+++ b/dev-python/indexed_gzip/indexed_gzip-1.6.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Fast random access of gzip files in Python"
+HOMEPAGE="https://github.com/pauldmccarthy/indexed_gzip"
+SRC_URI="https://github.com/pauldmccarthy/indexed_gzip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+ "
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e 's:--cov=indexed_gzip::' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ if use test; then
+ export INDEXED_GZIP_TESTING=1
+ fi
+ distutils-r1_src_compile
+}
+
+python_test() {
+ local ignore=(
+ # requires nibabel
+ test_nibabel_integration.py
+ )
+
+ cd "${BUILD_DIR}"/lib/indexed_gzip/tests || die
+ epytest ${ignore[@]/#/--ignore }
+}
diff --git a/dev-python/indexed_gzip/metadata.xml b/dev-python/indexed_gzip/metadata.xml
index aec26bd79f29..ce3f9c27e020 100644
--- a/dev-python/indexed_gzip/metadata.xml
+++ b/dev-python/indexed_gzip/metadata.xml
@@ -9,6 +9,10 @@
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<longdescription lang="en">
The indexed_gzip project is a Python extension which aims to provide a
drop-in replacement for the built-in Python gzip.GzipFile class,
diff --git a/dev-python/libvirt-python/libvirt-python-7.3.0.ebuild b/dev-python/libvirt-python/libvirt-python-7.3.0.ebuild
index 5caf8eb7b163..db4b9aeda546 100644
--- a/dev-python/libvirt-python/libvirt-python-7.3.0.ebuild
+++ b/dev-python/libvirt-python/libvirt-python-7.3.0.ebuild
@@ -35,7 +35,7 @@ BDEPEND="
virtual/pkgconfig
test? (
dev-python/lxml[${PYTHON_USEDEP}]
- dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
)
verify-sig? ( app-crypt/openpgp-keys-libvirt )
"
diff --git a/dev-python/moto/moto-2.0.5.ebuild b/dev-python/moto/moto-2.0.5.ebuild
index bb3423485e8c..61bc2eafe550 100644
--- a/dev-python/moto/moto-2.0.5.ebuild
+++ b/dev-python/moto/moto-2.0.5.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+KEYWORDS="amd64 ~arm ~arm64 ~x86"
RDEPEND="
>=dev-python/aws-xray-sdk-python-0.93[${PYTHON_USEDEP}]
diff --git a/dev-python/pip/Manifest b/dev-python/pip/Manifest
index ae748f84b129..e522c4c25e4d 100644
--- a/dev-python/pip/Manifest
+++ b/dev-python/pip/Manifest
@@ -1,5 +1,6 @@
DIST pip-21.0.1.tar.gz 8772082 BLAKE2B 2fdd78e2db8ceda2bd21fdeb4d29c0c2eda412827b87cc97ec1996a5b71b9c6e5938c0a6ef696163780bbbc55d81b8b3b1b6e2e79b05fbe9ce4bdd52e3ebdf13 SHA512 2db5397f4ca3a3f56f5add3f827bf1f0a4296019703438d68498266b9d2559b6baa3132061c5ad4c2a08bec6e76a2768763fdca02d86cf32aadd4640afbf3664
DIST pip-21.1.1.tar.gz 8771867 BLAKE2B 1cb920ab52510e816a7c3b8b6d1b47576a27cf1b208ab8fefa102ff36c09eb4e99b34f213a043550a9e6fb37bb8b6306f9e939371661ff7f23ba03f21b4a643b SHA512 05157ed586597f16948afdad43d98cc095803d2d22b1427ac1028ca2a73a26d65e597446808194343ed36f9eb7cb910ac89e73a6a9a90ee868ec822fdbe641c5
+DIST pip-21.1.2.tar.gz 8772481 BLAKE2B 23dbcc5dd7e7f66934282b9c93958267eb367d418b6c814032b7b89e0d94c73c143626781b8df081394019d2e575030b7a2fd61bb5221992ce2060cf069e8b04 SHA512 54a2b6074fcb2640868dedcabb5087b79a53a8ad57ec4ab5acf2862b8037403d8f156c2853ab60c2f10c6af999a0a90774f0bc3eca2978a82590935d37af167f
DIST pip-21.1.tar.gz 8771224 BLAKE2B 2056a741b7f51d56c3984e2b0bcd1fa9cc12ba9677f80505fa5182fc0afad9c7dfe4ecf9429cf5ed5f8534f0a6a003b12455e90537a5dacbe188c8db548b71c3 SHA512 2617ae852cd52db980ab4131d711946b63930d30f480e050555bc61acb78577aa447b88065c6c8eba7e29c7167f78f04b11404cb0c1975caac464fa768ee7de8
DIST setuptools-51.3.3-py3-none-any.whl 786243 BLAKE2B cc8a98cdfd5cb78a342a3d50049c0ebd0965451e9bd4050b7a133346f505a17842a498531ade9bf932064a6cac81277ecf60d94ef94faa39b78740de87f9fd86 SHA512 1d4f29e392371b7f0e427d0570fddbdd1204f6c98e48a0a289db23b20f7c048551584ac946e30b90d720cce4f508b3c39208e9a70f87067d66734432963d141c
DIST setuptools-56.0.0-py3-none-any.whl 784941 BLAKE2B 136352bcaeeb803f94983db2e0f9ec79dacc23a6742a2f6f1b4bdd2b29a104f4965d78f9b4adf1a501c7bf39d4ed85a6786b03489f90872661afbf5e674fd3f9 SHA512 32405236e9c2936cde137bc4d4d07b548391336ce0511cd5677dcd1f85c7a142b0947e03cdceaeb37067874f5aa71daacaa1a6af95ae9fe3ad8af264f61e10f4
diff --git a/dev-python/pip/pip-21.1.1.ebuild b/dev-python/pip/pip-21.1.1.ebuild
index 36fa4ee56580..3b6fd743b8b9 100644
--- a/dev-python/pip/pip-21.1.1.ebuild
+++ b/dev-python/pip/pip-21.1.1.ebuild
@@ -28,7 +28,7 @@ SRC_URI="
"
LICENSE="MIT"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
SLOT="0"
IUSE="test -vanilla"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pip/pip-21.1.2.ebuild b/dev-python/pip/pip-21.1.2.ebuild
new file mode 100644
index 000000000000..70a92e0f3b59
--- /dev/null
+++ b/dev-python/pip/pip-21.1.2.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit bash-completion-r1 distutils-r1
+
+# setuptools & wheel .whl files are required for testing,
+# the exact version is not very important.
+SETUPTOOLS_WHL="setuptools-56.0.0-py3-none-any.whl"
+WHEEL_WHL="wheel-0.36.2-py2.py3-none-any.whl"
+
+DESCRIPTION="Installs python packages -- replacement for easy_install"
+HOMEPAGE="
+ https://pip.pypa.io/en/stable/
+ https://pypi.org/project/pip/
+ https://github.com/pypa/pip/"
+SRC_URI="
+ https://github.com/pypa/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
+ test? (
+ https://files.pythonhosted.org/packages/py3/s/setuptools/${SETUPTOOLS_WHL}
+ https://files.pythonhosted.org/packages/py2.py3/w/wheel/${WHEEL_WHL}
+ )
+"
+
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+SLOT="0"
+IUSE="test -vanilla"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/setuptools-39.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/csv23[${PYTHON_USEDEP}]
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ dev-python/scripttest[${PYTHON_USEDEP}]
+ <dev-python/virtualenv-20[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ )
+"
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}/${PN}-21.1-no-coverage.patch"
+ )
+ if ! use vanilla; then
+ PATCHES+=( "${FILESDIR}/pip-20.0.2-disable-system-install.patch" )
+ fi
+
+ distutils-r1_python_prepare_all
+
+ if use test; then
+ mkdir tests/data/common_wheels/ || die
+ cp "${DISTDIR}"/{${SETUPTOOLS_WHL},${WHEEL_WHL}} \
+ tests/data/common_wheels/ || die
+ fi
+}
+
+python_test() {
+ if [[ ${EPYTHON} == pypy* ]]; then
+ ewarn "Skipping tests on ${EPYTHON} since they are very broken"
+ return 0
+ fi
+
+ local deselect=(
+ tests/functional/test_install.py::test_double_install_fail
+ tests/functional/test_list.py::test_multiple_exclude_and_normalization
+ 'tests/unit/test_commands.py::test_index_group_handle_pip_version_check[False-False-True-download]'
+ 'tests/unit/test_commands.py::test_index_group_handle_pip_version_check[False-False-True-install]'
+ 'tests/unit/test_commands.py::test_index_group_handle_pip_version_check[False-False-True-list]'
+ 'tests/unit/test_commands.py::test_index_group_handle_pip_version_check[False-False-True-wheel]'
+ tests/functional/test_install.py::test_install_pip_does_not_modify_pip_when_satisfied
+ # Internet
+ tests/functional/test_install.py::test_install_editable_with_prefix_setup_cfg
+ )
+
+ distutils_install_for_testing --via-root
+
+ local -x GENTOO_PIP_TESTING=1 \
+ PATH="${TEST_DIR}/scripts:${PATH}" \
+ PYTHONPATH="${TEST_DIR}/lib:${BUILD_DIR}/lib"
+ epytest ${deselect[@]/#/--deselect } -m "not network"
+}
+
+python_install_all() {
+ # Prevent dbus auto-launch
+ # https://bugs.gentoo.org/692178
+ export DBUS_SESSION_BUS_ADDRESS="disabled:"
+
+ local DOCS=( AUTHORS.txt docs/html/**/*.rst )
+ distutils-r1_python_install_all
+
+ COMPLETION="${T}"/completion.tmp
+
+ # 'pip completion' command embeds full $0 into completion script, which confuses
+ # 'complete' and causes QA warning when running as "${PYTHON} -m pip".
+ # This trick sets correct $0 while still calling just installed pip.
+ local pipcmd='import sys; sys.argv[0] = "pip"; from pip._internal.cli.main import main; sys.exit(main())'
+
+ ${PYTHON} -c "${pipcmd}" completion --bash > "${COMPLETION}" || die
+ newbashcomp "${COMPLETION}" ${PN}
+
+ ${PYTHON} -c "${pipcmd}" completion --zsh > "${COMPLETION}" || die
+ insinto /usr/share/zsh/site-functions
+ newins "${COMPLETION}" _pip
+}
diff --git a/dev-python/prettytable/prettytable-2.1.0.ebuild b/dev-python/prettytable/prettytable-2.1.0.ebuild
index 1146d962b265..bcaca6119091 100644
--- a/dev-python/prettytable/prettytable-2.1.0.ebuild
+++ b/dev-python/prettytable/prettytable-2.1.0.ebuild
@@ -15,7 +15,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ppc64 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ppc64 sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-python/wcwidth[${PYTHON_USEDEP}]
diff --git a/dev-python/psutil/psutil-5.7.3.ebuild b/dev-python/psutil/psutil-5.7.3.ebuild
index 083ea2b254c9..31d6b08af98a 100644
--- a/dev-python/psutil/psutil-5.7.3.ebuild
+++ b/dev-python/psutil/psutil-5.7.3.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pyperclip/pyperclip-1.8.2.ebuild b/dev-python/pyperclip/pyperclip-1.8.2.ebuild
index 9019e9f83e5c..491f19e71c5d 100644
--- a/dev-python/pyperclip/pyperclip-1.8.2.ebuild
+++ b/dev-python/pyperclip/pyperclip-1.8.2.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~ppc64 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc64 sparc x86"
RDEPEND="
|| (
diff --git a/dev-python/pypy-exe/Manifest b/dev-python/pypy-exe/Manifest
index d6cc650abe7a..7b09b3316a2c 100644
--- a/dev-python/pypy-exe/Manifest
+++ b/dev-python/pypy-exe/Manifest
@@ -1,8 +1,4 @@
-DIST pypy2.7-gentoo-patches-7.3.3_p2.tar.xz 11184 BLAKE2B b2b9b94478609372d616c65a87cbb12a07e217928beef9fac26c428f81c662ef390db3fd85bf368ffcc8c6fa3802e506412b7bebd14bdc453009008bc3459d25 SHA512 9ab8ed99b42b36e9c212683ef93f7f1fb99caecf056293ab9a5734f8b52eedec192860702baa121630558530cb5c4652f8542300ecaaaa282377ea6456618b95
DIST pypy2.7-gentoo-patches-7.3.4.tar.xz 7844 BLAKE2B d06694fa085667e40ef8805c29f7ccf95b49f9de4e99e3ebfa3d69c4202a0ddcebb54c524d7d9f9ec67573a8d2ebe38fb7023d4d3ecef67afc907ecef5c16c02 SHA512 aa8ffefb5d30070ae86c1c14c55c277e39d3da66aea3a0951319158fb65e716e7fa7864e8bf5d26314d4b2a8030c766b63cad6a3663822d2875cd8cc1f3f2de5
-DIST pypy2.7-gentoo-patches-7.3.5rc2.tar.xz 5792 BLAKE2B 2380dc09be7e8dccfcc151e5c3cc5cc0aeb6a5a284b3b3fa8d12bdc0c6352d0da4fc3cb52762c1b5a38b97b3736147cb10986e0e6fdb622ff277445ba7228252 SHA512 1e269a02fc70b67fe44a8d57303a1565acbdb4b7f8065ec489b6bdd9275281e4b516fd1e01223e9635e4759a71c73be941f02e6bc561ab728d6a67e22bda47e3
DIST pypy2.7-gentoo-patches-7.3.5rc3.tar.xz 5796 BLAKE2B b1c0fb0a8d86d117a9d4102777605eedd026b614f4b66272b3fc5da246bbe5edf516e95a40471117b61078c18b9fc615e55e0992a5d0a1be7caf9026ee26b6be SHA512 8699813837dfa4560a6e73b96f770c5d5999ce008e17cf62a856a454cb0b63146787a54934874162c79345488959e0936b3bd03823bc9f8e276f80df1122f7a8
-DIST pypy2.7-v7.3.3-src.tar.bz2 20881821 BLAKE2B ce1ecdd1fffe40574c7662da6038b84d2bca47ab168939ef0c12be2c6348317f17a94a3026e7fa53c71601edc153aefd98f770bd148e7af07ca751c0a5fc1252 SHA512 c2b6c44fdcac5f9445fab01572f859228fc286891fd09a4ddb95d283683d805276c853ec8e61fcd04cb9ee811d0e959d19bb03fdd7442c044f28a773633122e7
DIST pypy2.7-v7.3.4-src.tar.bz2 21571561 BLAKE2B d0ac56fadec63fe7e65728c36c2aaf96fc5f54919dddbca9571a24c42a9e3e21f672f84555a18a384c4715f0489bd7aef009c0a47b635de88c472a93e2ae8d71 SHA512 4c18c2dbfbf0cc1034bea773828204df77aec7ef82119fb94e5cb762ce1783e00ad70e99d1432b4948dc132e726bdc6015f4a5bf10a5b10415bcfe99da2ecd17
-DIST pypy2.7-v7.3.5rc2-src.tar.bz2 21561927 BLAKE2B 1fd8aeba0698c95015716109d6a3aec74f95d1a4faea130ffe872b43d0ef8e1e8f8b742aeae6048ab596c5b78634e83c83c95ce3ed047d068dae7bddc02e1281 SHA512 d1d4b45c29c5e4c1735744b4aac46c87787bda7db496c8865e099e669f666f223ed9c014f3637065bb7762eda39a0116bab54078cf10ce8fbd8505d1ab952575
DIST pypy2.7-v7.3.5rc3-src.tar.bz2 21563312 BLAKE2B e343dcd617026ea5f951f3d24deeb59736c9a6ecc91d1b9c1bd980b6f3c239a5bf0edb9b72a0847a6aeeaead8aca9ecf537af81c9fcf0a2f6647c99edc0d1735 SHA512 e080771ea10a30820f8844b3f512a7681f2e619e8a37fa8ac60198f3c8c3780a8e08aa63749be375c00cd547994f428df44e2cd9f61b272b215ded433374e0a1
diff --git a/dev-python/pypy-exe/pypy-exe-7.3.3_p2.ebuild b/dev-python/pypy-exe/pypy-exe-7.3.3_p2.ebuild
deleted file mode 100644
index bbe758a18fa2..000000000000
--- a/dev-python/pypy-exe/pypy-exe-7.3.3_p2.ebuild
+++ /dev/null
@@ -1,178 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python2_7 python3_{6,7,8,9,10} )
-inherit check-reqs pax-utils python-any-r1 toolchain-funcs
-
-PYPY_PV=${PV%_p*}
-MY_P=pypy2.7-v${PYPY_PV}
-PATCHSET="pypy2.7-gentoo-patches-${PV}"
-
-DESCRIPTION="PyPy executable (build from source)"
-HOMEPAGE="https://www.pypy.org/"
-SRC_URI="https://buildbot.pypy.org/pypy/${MY_P}-src.tar.bz2
- https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz"
-S="${WORKDIR}/${MY_P}-src"
-
-LICENSE="MIT"
-SLOT="${PYPY_PV}"
-KEYWORDS="amd64 ~arm64 ~ppc64 x86 ~amd64-linux ~x86-linux"
-IUSE="bzip2 +jit low-memory ncurses cpu_flags_x86_sse2"
-
-RDEPEND=">=sys-libs/zlib-1.1.3:0=
- dev-libs/libffi:0=
- virtual/libintl:0=
- dev-libs/expat:0=
- bzip2? ( app-arch/bzip2:0= )
- ncurses? ( sys-libs/ncurses:0= )
- !dev-python/pypy-exe-bin:${PYPY_PV}"
-# don't enforce the dep on pypy with USE=low-memory since it's going
-# to cause either collisions or circular dep on itself
-DEPEND="${RDEPEND}"
-BDEPEND="
- !low-memory? (
- || (
- dev-python/pypy
- dev-lang/python:2.7
- )
- )"
-
-check_env() {
- if use low-memory; then
- if ! has_version -b dev-python/pypy &&
- ! has_version -b dev-python/pypy-bin
- then
- eerror "USE=low-memory requires a (possibly old) version of dev-python/pypy"
- eerror "being installed. Please install it using e.g.:"
- eerror
- eerror " $ emerge -1v dev-python/pypy dev-python/pypy-exe-bin"
- eerror
- eerror "before attempting to build dev-python/pypy-exe[low-memory]."
- die "dev-python/pypy needs to be installed for USE=low-memory"
- fi
-
- CHECKREQS_MEMORY="1750M"
- use amd64 && CHECKREQS_MEMORY="3500M"
- else
- CHECKREQS_MEMORY="3G"
- use amd64 && CHECKREQS_MEMORY="6G"
- fi
-
- check-reqs_pkg_pretend
-}
-
-pkg_pretend() {
- [[ ${MERGE_TYPE} != binary ]] && check_env
-}
-
-pkg_setup() {
- if [[ ${MERGE_TYPE} != binary ]]; then
- check_env
-
- use low-memory && EPYTHON=
- if [[ ! ${EPYTHON} || ${EPYTHON} == pypy ]] &&
- { has_version -b dev-python/pypy ||
- has_version -b dev-python/pypy-bin; }
- then
- einfo "Using already-installed PyPy to perform the translation."
- EPYTHON=pypy
- else
- einfo "Using ${EPYTHON} to perform the translation. Please note that upstream"
- einfo "recommends using PyPy for that. If you wish to do so, please unset"
- einfo "the EPYTHON variable."
- python-any-r1_pkg_setup
- fi
- fi
-}
-
-src_prepare() {
- local PATCHES=(
- "${WORKDIR}/${PATCHSET}"
- )
- default
-}
-
-src_configure() {
- tc-export CC
-
- local jit_backend
- if use jit; then
- jit_backend='--jit-backend='
-
- # We only need the explicit sse2 switch for x86.
- # On other arches we can rely on autodetection which uses
- # compiler macros. Plus, --jit-backend= doesn't accept all
- # the modern values...
-
- if use x86; then
- if use cpu_flags_x86_sse2; then
- jit_backend+=x86
- else
- jit_backend+=x86-without-sse2
- fi
- else
- jit_backend+=auto
- fi
- fi
-
- local args=(
- --no-shared
- $(usex jit -Ojit -O2)
-
- ${jit_backend}
-
- pypy/goal/targetpypystandalone
- )
-
- # Avoid linking against libraries disabled by use flags
- local opts=(
- bzip2:bz2
- ncurses:_minimal_curses
- )
-
- local opt
- for opt in "${opts[@]}"; do
- local flag=${opt%:*}
- local mod=${opt#*:}
-
- args+=(
- $(usex ${flag} --withmod --withoutmod)-${mod}
- )
- done
-
- local interp=( "${EPYTHON}" )
- if use low-memory; then
- interp=( env PYPY_GC_MAX_DELTA=200MB
- "${EPYTHON}" --jit loop_longevity=300 )
- fi
-
- if [[ ${EPYTHON} != pypy ]]; then
- # reuse bundled pycparser to avoid external dep
- mkdir -p "${T}"/pymod/cffi || die
- : > "${T}"/pymod/cffi/__init__.py || die
- cp -r lib_pypy/cffi/_pycparser "${T}"/pymod/cffi/ || die
- local -x PYTHONPATH=${T}/pymod:${PYTHONPATH}
- fi
-
- # translate into the C sources
- # we're going to build them ourselves since otherwise pypy does not
- # free up the unneeded memory before spawning the compiler
- set -- "${interp[@]}" rpython/bin/rpython --batch --source "${args[@]}"
- echo -e "\033[1m${@}\033[0m"
- "${@}" || die "translation failed"
-}
-
-src_compile() {
- emake -C "${T}"/usession*-0/testing_1
-}
-
-src_install() {
- local dest=/usr/lib/pypy2.7
- exeinto "${dest}"
- newexe "${T}"/usession*-0/testing_1/pypy-c pypy-c-${PYPY_PV}
- insinto "${dest}"/include/${PYPY_PV}
- doins include/pypy_*
- pax-mark m "${ED}${dest}/pypy-c-${PYPY_PV}"
-}
diff --git a/dev-python/pypy-exe/pypy-exe-7.3.5_rc2.ebuild b/dev-python/pypy-exe/pypy-exe-7.3.5_rc2.ebuild
deleted file mode 100644
index 08a241f6d46f..000000000000
--- a/dev-python/pypy-exe/pypy-exe-7.3.5_rc2.ebuild
+++ /dev/null
@@ -1,178 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python2_7 python3_{6,7,8,9,10} )
-inherit check-reqs pax-utils python-any-r1 toolchain-funcs
-
-PYPY_PV=${PV%_p*}
-MY_P=pypy2.7-v${PYPY_PV/_}
-PATCHSET="pypy2.7-gentoo-patches-${PV/_}"
-
-DESCRIPTION="PyPy executable (build from source)"
-HOMEPAGE="https://www.pypy.org/"
-SRC_URI="https://buildbot.pypy.org/pypy/${MY_P}-src.tar.bz2
- https://dev.gentoo.org/~mgorny/dist/python/${PATCHSET}.tar.xz"
-S="${WORKDIR}/${MY_P}-src"
-
-LICENSE="MIT"
-SLOT="${PYPY_PV}"
-KEYWORDS=""
-IUSE="bzip2 +jit low-memory ncurses cpu_flags_x86_sse2"
-
-RDEPEND=">=sys-libs/zlib-1.1.3:0=
- dev-libs/libffi:0=
- virtual/libintl:0=
- dev-libs/expat:0=
- bzip2? ( app-arch/bzip2:0= )
- ncurses? ( sys-libs/ncurses:0= )
- !dev-python/pypy-exe-bin:${PYPY_PV}"
-# don't enforce the dep on pypy with USE=low-memory since it's going
-# to cause either collisions or circular dep on itself
-DEPEND="${RDEPEND}"
-BDEPEND="
- !low-memory? (
- || (
- dev-python/pypy
- dev-lang/python:2.7
- )
- )"
-
-check_env() {
- if use low-memory; then
- if ! has_version -b dev-python/pypy &&
- ! has_version -b dev-python/pypy-bin
- then
- eerror "USE=low-memory requires a (possibly old) version of dev-python/pypy"
- eerror "being installed. Please install it using e.g.:"
- eerror
- eerror " $ emerge -1v dev-python/pypy dev-python/pypy-exe-bin"
- eerror
- eerror "before attempting to build dev-python/pypy-exe[low-memory]."
- die "dev-python/pypy needs to be installed for USE=low-memory"
- fi
-
- CHECKREQS_MEMORY="1750M"
- use amd64 && CHECKREQS_MEMORY="3500M"
- else
- CHECKREQS_MEMORY="3G"
- use amd64 && CHECKREQS_MEMORY="6G"
- fi
-
- check-reqs_pkg_pretend
-}
-
-pkg_pretend() {
- [[ ${MERGE_TYPE} != binary ]] && check_env
-}
-
-pkg_setup() {
- if [[ ${MERGE_TYPE} != binary ]]; then
- check_env
-
- use low-memory && EPYTHON=
- if [[ ! ${EPYTHON} || ${EPYTHON} == pypy ]] &&
- { has_version -b dev-python/pypy ||
- has_version -b dev-python/pypy-bin; }
- then
- einfo "Using already-installed PyPy to perform the translation."
- EPYTHON=pypy
- else
- einfo "Using ${EPYTHON} to perform the translation. Please note that upstream"
- einfo "recommends using PyPy for that. If you wish to do so, please unset"
- einfo "the EPYTHON variable."
- python-any-r1_pkg_setup
- fi
- fi
-}
-
-src_prepare() {
- local PATCHES=(
- "${WORKDIR}/${PATCHSET}"
- )
- default
-}
-
-src_configure() {
- tc-export CC
-
- local jit_backend
- if use jit; then
- jit_backend='--jit-backend='
-
- # We only need the explicit sse2 switch for x86.
- # On other arches we can rely on autodetection which uses
- # compiler macros. Plus, --jit-backend= doesn't accept all
- # the modern values...
-
- if use x86; then
- if use cpu_flags_x86_sse2; then
- jit_backend+=x86
- else
- jit_backend+=x86-without-sse2
- fi
- else
- jit_backend+=auto
- fi
- fi
-
- local args=(
- --no-shared
- $(usex jit -Ojit -O2)
-
- ${jit_backend}
-
- pypy/goal/targetpypystandalone
- )
-
- # Avoid linking against libraries disabled by use flags
- local opts=(
- bzip2:bz2
- ncurses:_minimal_curses
- )
-
- local opt
- for opt in "${opts[@]}"; do
- local flag=${opt%:*}
- local mod=${opt#*:}
-
- args+=(
- $(usex ${flag} --withmod --withoutmod)-${mod}
- )
- done
-
- local interp=( "${EPYTHON}" )
- if use low-memory; then
- interp=( env PYPY_GC_MAX_DELTA=200MB
- "${EPYTHON}" --jit loop_longevity=300 )
- fi
-
- if [[ ${EPYTHON} != pypy ]]; then
- # reuse bundled pycparser to avoid external dep
- mkdir -p "${T}"/pymod/cffi || die
- : > "${T}"/pymod/cffi/__init__.py || die
- cp -r lib_pypy/cffi/_pycparser "${T}"/pymod/cffi/ || die
- local -x PYTHONPATH=${T}/pymod:${PYTHONPATH}
- fi
-
- # translate into the C sources
- # we're going to build them ourselves since otherwise pypy does not
- # free up the unneeded memory before spawning the compiler
- set -- "${interp[@]}" rpython/bin/rpython --batch --source "${args[@]}"
- echo -e "\033[1m${@}\033[0m"
- "${@}" || die "translation failed"
-}
-
-src_compile() {
- emake -C "${T}"/usession*-0/testing_1
-}
-
-src_install() {
- local dest=/usr/lib/pypy2.7
- exeinto "${dest}"
- newexe "${T}"/usession*-0/testing_1/pypy-c pypy-c-${PYPY_PV}
- insinto "${dest}"/include/${PYPY_PV}
- doins include/pypy_*
- pax-mark m "${ED}${dest}/pypy-c-${PYPY_PV}"
-}
diff --git a/dev-python/pytest-timeout/pytest-timeout-1.4.2-r1.ebuild b/dev-python/pytest-timeout/pytest-timeout-1.4.2-r1.ebuild
index d349cada7d5c..8f40dd20de1a 100644
--- a/dev-python/pytest-timeout/pytest-timeout-1.4.2-r1.ebuild
+++ b/dev-python/pytest-timeout/pytest-timeout-1.4.2-r1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="MIT"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
# do not rdepend on pytest, it won't be used without it anyway
# pytest-cov used to test compatibility
diff --git a/dev-python/pytest-xprocess/pytest-xprocess-0.17.1.ebuild b/dev-python/pytest-xprocess/pytest-xprocess-0.17.1.ebuild
index ecc5d081025c..9f2ab7f59e89 100644
--- a/dev-python/pytest-xprocess/pytest-xprocess-0.17.1.ebuild
+++ b/dev-python/pytest-xprocess/pytest-xprocess-0.17.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="MIT"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
RDEPEND="
dev-python/pytest[${PYTHON_USEDEP}]
diff --git a/dev-python/radon/Manifest b/dev-python/radon/Manifest
index 3ca1a4990e3e..162c11a01ad7 100644
--- a/dev-python/radon/Manifest
+++ b/dev-python/radon/Manifest
@@ -1,2 +1,3 @@
DIST radon-4.1.0.tar.gz 3672016 BLAKE2B 3da02d62a2be0ab709bbb573372b86971f2eafd98724ea984236710c7f3e3517215bf496d621d42e9e93b747e3b8742f9cf156d3477c5c1cc4ac6098f0008b8f SHA512 c594fb2822a5311f1daf18304c601b4363477bee808f32a0eada6dd28560668a93cfa614196a614240eca436dea48945a29915bd4d347946aa28def0780bc93c
DIST radon-4.5.1.tar.gz 1873194 BLAKE2B 3bbbfd1fcddb8c89c39240d7de082342b667c53a663e766dea16032ae5a7a1eca2a3a55664f39d0a60551db8c27e0f1102439409ee50520f8ffeb7ea20e5319b SHA512 8f27af1b9fed27806415f7af12f7480f638c71c741b3e7e150a0137964f48d43e615d410a84a8e093aaed28c92ad57f22e36e1d1a9819c335635ec175c4e8314
+DIST radon-4.5.2.tar.gz 1873164 BLAKE2B 64a6def2be3505e247625b11deaaf75520781f98748cd8fec07c0d525905605deaf7f17c0103c6d41361ac0c6f62f489aeb418b5bd592dbd5b12755ec73e0116 SHA512 247fcd715ed3dfb889a73889fb5be8dc159673beb3abe1e1ba5170b8caadb85ad405ebd05f6a9080a6097f1c731b83b9dbe8b7f564f2a39b1b7cb0239f445813
diff --git a/dev-python/radon/radon-4.5.2.ebuild b/dev-python/radon/radon-4.5.2.ebuild
new file mode 100644
index 000000000000..8fd870e480e0
--- /dev/null
+++ b/dev-python/radon/radon-4.5.2.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Code Metrics in Python"
+HOMEPAGE="https://radon.readthedocs.io/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-python/colorama[${PYTHON_USEDEP}]
+ dev-python/flake8[${PYTHON_USEDEP}]
+ dev-python/flake8-polyfill[${PYTHON_USEDEP}]
+ dev-python/mando[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+"
+
+distutils_enable_sphinx docs
+distutils_enable_tests pytest
diff --git a/dev-python/scripttest/scripttest-1.3.0-r1.ebuild b/dev-python/scripttest/scripttest-1.3.0-r1.ebuild
index 68b95e576bd8..9f9971c50d93 100644
--- a/dev-python/scripttest/scripttest-1.3.0-r1.ebuild
+++ b/dev-python/scripttest/scripttest-1.3.0-r1.ebuild
@@ -14,6 +14,6 @@ SRC_URI="https://github.com/pypa/scripttest/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv sparc x86 ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~x64-macos"
distutils_enable_tests pytest
diff --git a/dev-python/stestr/stestr-3.2.0.ebuild b/dev-python/stestr/stestr-3.2.0.ebuild
index d4af8ab2fab0..8a53e65042d0 100644
--- a/dev-python/stestr/stestr-3.2.0.ebuild
+++ b/dev-python/stestr/stestr-3.2.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/stevedore/stevedore-3.3.0.ebuild b/dev-python/stevedore/stevedore-3.3.0.ebuild
index 648c6a555f02..dd974796a2ef 100644
--- a/dev-python/stevedore/stevedore-3.3.0.ebuild
+++ b/dev-python/stevedore/stevedore-3.3.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~ppc64 sparc x86"
+KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~mips ~ppc64 sparc x86"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-python/werkzeug/werkzeug-2.0.1-r1.ebuild b/dev-python/werkzeug/werkzeug-2.0.1-r1.ebuild
index 66b9d686a1a1..d4c745fbe57b 100644
--- a/dev-python/werkzeug/werkzeug-2.0.1-r1.ebuild
+++ b/dev-python/werkzeug/werkzeug-2.0.1-r1.ebuild
@@ -18,7 +18,7 @@ SRC_URI="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
BDEPEND="
test? (